Announcement Announcement Module
Collapse
No announcement yet.
Error installing Spring Python on jython 2.5.1 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error installing Spring Python on jython 2.5.1

    I checked out r738 of trunk/springpython, changed directory to src, and tried to run jython build.py install (based on the README.TXT which indicates to do the same, but with setup.py, which isn't present).

    The setup seemed to be running fine, then came to the following error:

    running install
    ...
    copying springpython\LICENSE.txt -> build\lib\springpython
    running build_scripts
    creating build\scripts-2.5
    error: file 'plugins\coily' does not exist
    Sure enough, the only file in plugins is coily-template. I copied plugins/coily-template to plugins/coily and now the setup completed successfully.

    Was that the correct fix? If not, what do you recommend to install Spring Python under jython?

  • #2
    What you are missing is the distribution stage. You can't install it quite like you are suggesting.

    First, you need to build an installable package (from the base directory, NOT from src):
    Code:
    ./build.py --clean --package
    Now, you should see a target directory. If you drill down, you will find three zip files, one for springpython, one for the samples, and one for a plugin called gen-cherrypy-app. The files have a version number and timestamp embedded in them. The core framework is located in springpython-<version>-<timestamp>.tar.gz. If you unpack this file, then you will find a setup.py script embedded in them, which you can either run through:
    Code:
    python setup.py install
    or
    Code:
    jython setup.py install
    Now, springpython is available to whatever version of python you installed. (No promises regarding IronPython).

    Comment

    Working...
    X